Subject: Re: Apple IIGS ZipChip
From: Rubywand <[email-masked]>
Date: Tue, 04 Nov 1997 03:53:42 -0600
Newsgroups: comp.sys.apple2

Ron McGowan writes ...
> 
> Help!
> 
> I have a IIGS with a stock zip chip that, until recently,
> would pass the GS self test, but now fails with
> SYSTEM BAD 05012A00 ....
> 

     The DIP switches on at least some versions of the ZipGS are not
especially reliable. On one board, I finally just popped off the switch
assemply cover and removed the switch pieces to guarantee that the
switches that should be open really were. Solder connects were used to
close switches.

     If SW-4 is not closing, the ZipGS will not pass the Self-Test. On
the other hand, your ZipGS will run a bit slower; which is probably why
the default setting is OFF.

     You can use an Ohm meter (set to the x 1000 range to limit current)
to check the switches on your board by measuring across each mini-switch
while you open and close it.  

     Another possible problem is Zip Init. Some users install it on
their hard disks because it is available to be installed and forget that
it's there. Zip Init's settings will automatically over-ride your
on-board settings when your system is booted. It is intended for
installation on bootable diskettes for changing settings to match the
booted software (e.g. to keep it from running too fast).

     Some users believe that settings made to the Zip CDA panel (or to
the CDEV panel) get saved to BatRAM. They don't. When you turn OFF the
power they disappear. Also, the checked, "default", settings are not,
necessarily, the 'official' factory defaults. They are just the current
switch settings on the board.

     If you are having problems with a stock ZipGS board, some things to
check are ...

 1. that the board's connector tabs are making contact with the Slot
sprongers. This happens pretty close to the bottom of the card; so, be
sure the bottom 1/8 inch is clean.

 2. that the ribbon cable from the board to the uP socket does not have
any breaks.

 3. that the ZipGS plus other cards are not pulling more current than
your power setup can handle without producing noise glitches (i.e.
fatten the leads on your power supply and consider adding power jumpers
to the bottom of the motherboard).

> if I put in the stock 65c816 all is good
> the switch 4 setting on bank 1 of the Zip  has no effect on this
>

     Where are you plugging in the stock 65C816?

Rubywand